const { regClass, property } = Laya

@regClass()
export class CommonHover extends Laya.Script {
  declare owner: Laya.Box

  @property(Boolean)
  public hoverAlpha: boolean = true

  onAwake(): void {
    this.owner.on(Laya.Event.MOUSE_OVER, this, () => {
      Laya.Render.canvas.style.cursor = "pointer"
      if (this.hoverAlpha) {
        this.owner.alpha = 0.7
      }
    })
    this.owner.on(Laya.Event.MOUSE_OUT, this, () => {
      Laya.Render.canvas.style.cursor = ""
      if (this.hoverAlpha) {
        this.owner.alpha = 1
      }
    })
  }
}
